What’s Changed?
Several endpoints, headers, and fields changed inv20250224. For more on breaking changes, refer to our versioning and migration guides.
Version Header
Versions are set in theAccept-Version header of API requests. Version numbers correspond with the date associated with that version. The example below uses the version v20250224.
Authentication
- HTTP: Basic Auth
- HTTP: Bearer Auth
The MX Platform API requires basic access authentication using your
client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.Here’s an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.| Security Scheme Type: | http |
|---|---|
| HTTP Authorization Scheme: | basic |

